org.apache.hc.client5.http.async.methods

## Class SimpleRequestProducer

- java.lang.Object
- - org.apache.hc.core5.http.nio.BasicRequestProducer
  - - org.apache.hc.client5.http.async.methods.SimpleRequestProducer

All Implemented Interfaces:
  org.apache.hc.core5.http.nio.AsyncDataProducer, org.apache.hc.core5.http.nio.AsyncRequestProducer, org.apache.hc.core5.http.nio.ResourceHolder

    public final class SimpleRequestProducer
    extends org.apache.hc.core5.http.nio.BasicRequestProducer

### Method Summary

Methods
`static SimpleRequestProducer` `create(SimpleHttpRequest request)`

### Methods inherited from class org.apache.hc.core5.http.nio.BasicRequestProducer

`available, failed, produce, releaseResources, sendRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static SimpleRequestProducer create(SimpleHttpRequest request)